package cn.com.poc.approval.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.approval.entity.BizApprovalEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizApprovalService extends BaseService {

    BizApprovalEntity get(java.lang.Long id) throws Exception;

    List<BizApprovalEntity> findByExample(BizApprovalEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizApprovalEntity save(BizApprovalEntity entity) throws Exception;

    BizApprovalEntity update(BizApprovalEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}